2020-04 Release Candidate Issue Found

Solved
Highlighted
Tourist
9 0 1

Hello all - I believe I found a bug or undocumented change in the 2020-04 release candidate.  It would be great if I could get some validation on this:

 

I have found that you can not set a product variant's price equal to or higher than the compare_at_price.  When you attempt this, you get a return code of 422 - unprocessable.  The same behavior occurs if you try and set the compare_at_price at or below the variant price.

 

This behavior does not occur using the current API release (2020-01) - and changing the compare at in the admin itself does not show this behavior either (you can set either to whatever you want).

 

I've looked at the changelog and the upcoming changes and see nothing related to this.  I appreciate any help you might be able to provide!  This will greatly change how we have to handle sales and such if this is indeed a valid change that is coming.

1 Like
Highlighted

Success.

Shopify Staff
Shopify Staff
370 68 53

Hi @blconn 


I believe what you are describing is under Breaking Changes in the release notes here: https://shopify.dev/concepts/about-apis/versioning/release-notes/2020-04

 

Let me know if I misread

Vix | Developer Support @ Shopify
 - Was my reply helpful? Click Like to let me know! 
 - Was your question answered? Click Accept as Solution 


1 Like
Highlighted
Tourist
9 0 1

Hi vix - you are exactly right.  I thought I looked everywhere but I was obviously mistaken.  Thanks for the reply - this is the validation I was looking for!

0 Likes